> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a business account

> OAuth scope: `organization.read`

Retrieves detailed information about a specific business account identified by its ID.

It is useful for retrieving up-to-date information, including the current balance and authorized balance of the account.

You can use this endpoint when you need to display account details or verify available funds before initiating a transfer.


### Restricted Fields

Full details of a business account are restricted to users with specific permissions ([more on permissions](https://support-fr.qonto.com/hc/en-us/articles/23947722927249-What-are-the-different-roles-available)). **Owners and admins can access all fields.** Other users, such as managers, will only see a limited set of fields unless granted the appropriate permissions.

**Fields Available to All Users**:
- `id`
- `name`
- `status`
- `main`
- `organization_id`

**Fields Available to Users with Balance Authorization Read**:
- `currency`
- `balance`
- `balance_cents`
- `authorized_balance`
- `authorized_balance_cents`

Depending on the user's permissions, the corresponding fields will be included in the response.



## OpenAPI

````yaml get /v2/bank_accounts/{id}
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/bank_accounts/{id}:
    get:
      tags:
        - Business Accounts
      summary: Get a business account
      description: >-
        OAuth scope: `organization.read`


        Retrieves detailed information about a specific business account
        identified by its ID.


        It is useful for retrieving up-to-date information, including the
        current balance and authorized balance of the account.


        You can use this endpoint when you need to display account details or
        verify available funds before initiating a transfer.



        ### Restricted Fields


        Full details of a business account are restricted to users with specific
        permissions ([more on
        permissions](https://support-fr.qonto.com/hc/en-us/articles/23947722927249-What-are-the-different-roles-available)).
        **Owners and admins can access all fields.** Other users, such as
        managers, will only see a limited set of fields unless granted the
        appropriate permissions.


        **Fields Available to All Users**:

        - `id`

        - `name`

        - `status`

        - `main`

        - `organization_id`


        **Fields Available to Users with Balance Authorization Read**:

        - `currency`

        - `balance`

        - `balance_cents`

        - `authorized_balance`

        - `authorized_balance_cents`


        Depending on the user's permissions, the corresponding fields will be
        included in the response.
      operationId: getBusinessAccount
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the business account to retrieve
      responses:
        '200':
          description: Business account retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - bank_account
                properties:
                  bank_account:
                    $ref: '#/components/schemas/BankAccount'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '404':
          $ref: '#/components/responses/404-Not-Found'
      security:
        - OAuth:
            - organization.read
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    BankAccount:
      type: object
      required:
        - id
        - name
        - organization_id
        - status
        - main
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the bank account
        name:
          type: string
          description: Name of the bank account
          example: Primary bank account
        organization_id:
          type: string
          format: uuid
          description: Organization ID that owns the bank account
        status:
          type: string
          enum:
            - active
            - closed
          description: Status of the bank account
        main:
          type: boolean
          description: Whether this is the main bank account
        iban:
          type: string
          description: IBAN of the bank account
          example: FR7616958000010123456789037
        bic:
          type: string
          description: BIC of the bank account
          example: BNPAFRPPXXX
        currency:
          type: string
          description: Currency of the bank account
          example: EUR
        balance:
          type: string
          format: float
          description: Current balance of the bank account
          example: '142188.43'
        balance_cents:
          type: integer
          description: Current balance in cents
          example: 14218843
        authorized_balance:
          type: string
          format: float
          description: Authorized balance of the bank account
          example: '141148.12'
        authorized_balance_cents:
          type: integer
          description: Authorized balance in cents
          example: 14114812
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp (ISO 8601)
          example: '2024-04-03T12:00:00Z'
        is_external_account:
          type: boolean
          description: Whether this is an external account
          example: false
        account_number:
          type: string
          description: Account number
          example: 1234567890
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    NotFoundError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            parameter:
              type: string
              description: The parameter that causes the error.
      required:
        - code
        - detail
      x-examples:
        Object not found:
          code: not_found
          detail: Object not found
          source:
            parameter: id
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    404-Not-Found:
      description: Returns a not found error.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/NotFoundError'
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````